#!/usr/bin/env bash

clang='clang -ccc-host-triple armv7a-none-eabi -ccc-gcc-name arm-none-eabi-gcc -mfloat-abi=hard -w'

echo "================================================== VSHL"
$clang -emit-llvm -S vshl.c
echo
echo

echo "================================================== VPADDL"
$clang -emit-llvm -S -v vpaddl.c
echo
echo

echo "================================================== VPADAL"
$clang -emit-llvm -S -v vpadal.c
echo
echo

echo "================================================== VACGE"
$clang -S abscomp.c -o - | grep llvm.arm.neon
